Class | String
In: | nkf/lib/kconv.rb
Parent: | Object

### Methods

iseuc issjis isutf8 kconv toeuc tojis tosjis toutf16 toutf8

### Public Instance methods

iseuc()

is Encoding

[Source]

    # File nkf/lib/kconv.rb, line 217
      def iseuc
        Kconv.iseuc( self )
      end

issjis()

[Source]

    # File nkf/lib/kconv.rb, line 221
      def issjis
        Kconv.issjis( self )
      end

isutf8()

[Source]

    # File nkf/lib/kconv.rb, line 225
      def isutf8
        Kconv.isutf8( self )
      end

kconv(out_code, in_code=Kconv::AUTO)

[Source]

    # File nkf/lib/kconv.rb, line 195
      def kconv(out_code, in_code=Kconv::AUTO)
        Kconv::kconv(self, out_code, in_code)
      end

toeuc()

[Source]

    # File nkf/lib/kconv.rb, line 203
      def toeuc
        ::NKF::nkf('-e', self)
      end

tojis()

to Encoding

[Source]

    # File nkf/lib/kconv.rb, line 200
      def tojis
        ::NKF::nkf('-j', self)
      end

tosjis()

[Source]

    # File nkf/lib/kconv.rb, line 206
      def tosjis
        ::NKF::nkf('-s', self)
      end

toutf16()

[Source]

    # File nkf/lib/kconv.rb, line 212
      def toutf16
        ::NKF::nkf('-w16', self)
      end

toutf8()

[Source]

    # File nkf/lib/kconv.rb, line 209
      def toutf8
        ::NKF::nkf('-w', self)
      end

[Validate]